All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection.platform
Class MissingIdentityException

    com.sas.services.connection.platform.MissingIdentityException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class MissingIdentityException

This exception is thrown during a connection request if the `UserContextInterface` presented by the caller does not contain a `UserIdentityInteface` for one of the authentication domains supported by the connection factory.

See Also:
  Serialized Form

Constructor Summary
`MissingIdentityException(java.lang.String msg, java.lang.Throwable cause, java.util.List supportedDomains)` Construct a MissingIdentityException object.

Method Summary
`java.util.List` | `getSupportedDomains()`

Methods inherited from class com.sas.services.connection.LoginException
`isLoginCallbackError, setLoginCallbackError`

Methods inherited from class com.sas.services.connection.ConnectionFactoryException
`getRootException, getTargetException`

Constructor Detail

### MissingIdentityException

    public MissingIdentityException(java.lang.String msg,
                                    java.lang.Throwable cause,
                                    java.util.List supportedDomains)

  Construct a MissingIdentityException object.

  Parameters:
    `msg` - a message providing further details about the exception
    `cause` - the exception that caused this exception (can be `null`
    `supportedDomains` - the authentication domains that are supported by the connection factory

Method Detail

### getSupportedDomains

    public java.util.List getSupportedDomains()

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.